#!/bin/bash

set +e
sessions=$(tmux list-sessions)
set -e

if [[ $sessions == *"bunkdeck"* ]]; then
	tmux attach-session -t bunkdeck
	exit 1
fi

tmux new -d -s bunkdeck heed
tmux split-window -h -t bunkdeck -p 70
tmux split-window -t bunkdeck:0.0 -v -p 10
tmux send-keys -t bunkdeck:0.1 'proclaim' C-m
tmux send-keys -t bunkdeck:0.2 'cowsay "press [CTRL+b then o] to cycle through panes"' C-m
tmux attach -t bunkdeck:0.2
